Page MenuHomePhabricator

Categories daily diff dump has repetitions
Closed, ResolvedPublic

Description

Found this in eswiki dump:

<https://es.wikipedia.org/wiki/Categor%C3%ADa:Wikipedia:Art%C3%ADculos_con_datos_por_trasladar_a_Wikidata> a mediawiki:Category ;
        rdfs:label "Wikipedia:Artículos con datos por trasladar a Wikidata" ;
        mediawiki:pages "466006"^^xsd:integer ;
        mediawiki:subcategories "8"^^xsd:integer ;
        a mediawiki:Category ;
        rdfs:label "Wikipedia:Artículos con datos por trasladar a Wikidata" ;
        mediawiki:pages "466006"^^xsd:integer ;
        mediawiki:subcategories "8"^^xsd:integer ;
        a mediawiki:Category ;
        rdfs:label "Wikipedia:Artículos con datos por trasladar a Wikidata" ;
        mediawiki:pages "466006"^^xsd:integer ;
        mediawiki:subcategories "8"^^xsd:integer ;
        a mediawiki:Category ;
        rdfs:label "Wikipedia:Artículos con datos por trasladar a Wikidata" ;
        mediawiki:pages "466006"^^xsd:integer ;
        mediawiki:subcategories "8"^^xsd:integer .

This obviously should not be happening - the category should be added just once.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptAug 4 2018, 12:48 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Smalyshev triaged this task as Normal priority.Aug 4 2018, 12:48 AM
Smalyshev moved this task from Backlog to Doing on the User-Smalyshev board.

Change 451230 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/core@master] Fix handling categorization changes

https://gerrit.wikimedia.org/r/451230

Smalyshev moved this task from Doing to In review on the User-Smalyshev board.Aug 13 2018, 8:50 PM

Change 451230 merged by jenkins-bot:
[mediawiki/core@master] Fix handling categorization changes

https://gerrit.wikimedia.org/r/451230

Smalyshev moved this task from In review to Done on the User-Smalyshev board.Aug 21 2018, 12:15 AM
Smalyshev closed this task as Resolved.Aug 28 2018, 11:09 PM